<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="updateForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="changeRuleStatusPanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.UpdateAGazelleCrossValidatorRule']}
            </ui:define>
            <s:div id="changeRuleStatusPanelContent">
                <s:div rendered="#{ruleUpdateManager.rule == null}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.NoRuleSelected']}" styleClass="message"/>
                </s:div>

                <s:div id="activateRule" rendered="#{ruleUpdateManager.rule.isInactive()}">
                    <a4j:region>
                        <div class="form-inline">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.OldVersion']}</ui:define>
                                <h:outputText value="#{ruleUpdateManager.oldVersion}"/>
                            </s:decorate>

                            <s:decorate template="/layout/display/_data_list_item.xhtml"
                                        rendered="#{ruleUpdateManager.requestNewVersion()}">
                                <ui:param name="id" value="newversionInput"/>

                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.NewVersion']}</ui:define>
                                <h:inputText value="#{ruleUpdateManager.newVersion}" id="newversionInput"
                                             styleClass="form-control"/>
                            </s:decorate>
                        </div>
                    </a4j:region>
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToActivateThisRule']} "/>
                    <br/>
                </s:div>
                <s:div id="deactivateRule" rendered="#{ruleUpdateManager.rule.isActive()}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToInactivateThisRule']} "/>
                    <br/>
                </s:div>
            </s:div>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Yes']}" oncomplete="jq162('#changeRuleStatusPanel').modal('hide');"
                                   action="#{ruleUpdateManager.activateOrDeactivateRule()}"
                                   styleClass="gzl-btn-green"
                                   render="globalForm globalDiv"/>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                   oncomplete="jq162('#changeRuleStatusPanel').modal('hide');"
                                   immediate="true" actionListener="#{ruleUpdateManager.cancelUpdate(null)}"
                                   styleClass="gzl-btn-orange"
                                   render="globalForm globalDiv"/>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
